[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: [PATCH] generate subversion.pot in dist.sh

From: Julian Foad <julianfoad_at_btopenworld.com>
Date: Mon, 19 May 2014 10:31:44 +0100 (BST)

Mattias Engdegård wrote:
> Sorry about the reminder, but are there any objections to the patch or could it
> be applied?

It looks good to me, although I haven't tested it. Ben?

- Julian

> 6 maj 2014 kl. 23.52 skrev Mattias Engdegård:
>> Translators will need the subversion.pot file; it should be present in the
>> source distribution. Presumably, the right way to ensure that is to have dist.sh
>> generate it, similar to the way the configure script is created.
>>
>>  [[[
>>  Have dist.sh generate subversion.pot for the benefit of translators who need
>>  it in the source distribution.
>>
>>  * tools/dist/dist.sh: Generate subversion.pot by running po-update.sh.
>>  ]]]

Index: tools/dist/dist.sh
===================================================================
--- tools/dist/dist.sh    (revision 1592160)
+++ tools/dist/dist.sh    (arbetskopia)
@@ -292,6 +292,10 @@
   (cd "$DISTPATH" && ./autogen.sh --release) || exit 1
 fi

+# Generate the .pot file, for use by translators.
+echo "Running po-update.sh in sandbox, to create subversion.pot..."
+(cd "$DISTPATH" && tools/po/po-update.sh pot) || exit 1
+
 # Pre-translate the various sql-derived header files
 echo "Generating SQL-derived headers..."
 for f in `find "$DISTPATH/subversion" -name '*.sql'`; do
Received on 2014-05-19 11:32:20 CEST

This is an archived mail posted to the Subversion Dev mailing list.